//
//  BooksShelfSearchIntentApp.swift
//  BooksShelfSearchIntent
//
//  Created by Giugliano Antonella on 24/03/25.
//

import SwiftUI
import AppIntents

@main
struct BooksShelfSearchIntentApp: App {
    let modelContainer = DataModel.shared.modelContainer
    let navigationManager: NavigationManager

    init() {
        let navigationManager = NavigationManager()
        AppDependencyManager.shared.add(dependency: navigationManager)
        self.navigationManager = navigationManager
    }
    
    var body: some Scene {
        WindowGroup {
            BooksListView()
        }
        .environment(navigationManager)
        .modelContainer(modelContainer)
    }
}
